<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

/**
 * Add Menu Link
 *
 * Creates the admin submenu pages.
 *
 * @access      private
 * @since       1.0
 * @return      void
*/

function rc_wrlv_add_menu_link() {
	
	add_submenu_page('themes.php', __('Responsive Preview', 'rc_wrlv'), __('Responsive Preview', 'rc_wrlv'), 'manage_options', 'rc_wrlv_preview_page', 'rc_wrlv_preview_page');

}
add_action('admin_menu', 'rc_wrlv_add_menu_link', 10);


/**
 * Create preview Page
 *
 * @access      private
 * @since       1.0
 * @return      void
*/

function rc_wrlv_preview_page() {
	?>
	<meta name="viewport" content="width=device-width, initial-scale=1"/>
	<script type="text/javascript">
		var verticalScrollbarEnable='1';
	</script>
	
	<div id="wrapper">
	
	<div id="rc_wrlv-bar"><ul class="rc_wrlv-bar-responsive-dimension-list"><li class="rc_wrlv-bar-responsive-dimension-list-item-desktop"><a href="#" title="Desktop"></a></li><li class="rc_wrlv-bar-responsive-dimension-list-item-1024x768"><a href="#" title="Tablet landscape (1024x768)"></a></li><li class="rc_wrlv-bar-responsive-dimension-list-item-768x1024"><a href="#" title="Tablet portrait (768x1024)"></a></li><li class="rc_wrlv-bar-responsive-dimension-list-item-480x320"><a href="#" title="Mobile landscape (480x320)"></a></li><li class="rc_wrlv-bar-responsive-dimension-list-item-320x480"><a href="#" title="Mobile portrait (320x480)"></a></li></ul></div><div id="preview-window-wrapper"><iframe src="<?php echo get_bloginfo('url').'?mode=responsive_preview'; ?>" id="preview-window" frameborder="1" noresize="noresize" />
	
	</div>
	<?php
}

/**
 * Disable admin toolbar
 *
 * @access      private
 * @since       1.0
 * @return      void
*/

function rc_wrlv_disable_admin_toolbar() {

	global $pagenow;
	
	if( isset( $_GET['mode'] ) && $_GET['mode'] == 'responsive_preview') {
		add_filter('show_admin_bar', '__return_false');
	}
	
}
add_action( 'init', 'rc_wrlv_disable_admin_toolbar' );

