<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

/**
 * Load Scripts
 *
 * Enqueues the required scripts.
 *
 * @access      private
 * @since       1.0
 * @return      void
*/

function rc_wrlv_load_scripts( $pagenow ) {

	global $pagenow;
	
	if( is_admin() && $pagenow == 'themes.php' && isset( $_GET['page'] ) && $_GET['page'] == 'rc_wrlv_preview_page') {
	
		wp_enqueue_script( 'jquery_min', RC_WRLV_PLUGIN_URL . 'assets/js/jquery.min.js', array(), RC_WRLV_PLUGIN_VERSION );
		wp_enqueue_script( 'jquery_scrollto', RC_WRLV_PLUGIN_URL . 'assets/js/jquery.scrollTo.min.js', array(), RC_WRLV_PLUGIN_VERSION );
		wp_enqueue_script( 'jquery_jresize', RC_WRLV_PLUGIN_URL . 'assets/js/jresize.min.js', array(), RC_WRLV_PLUGIN_VERSION );
		wp_enqueue_script( 'jquery_main', RC_WRLV_PLUGIN_URL . 'assets/js/main.js', array(), RC_WRLV_PLUGIN_VERSION );
	
	}

}
add_action( 'admin_init', 'rc_wrlv_load_scripts' );


/**
 * Register Styles
 *
 * Checks the styles option and hooks the required filter.
 *
 * @access      private
 * @since       1.0
 * @return      void
*/

function rc_wrlv_register_styles( $pagenow ) {

	global $pagenow;
	
	if( is_admin() && $pagenow == 'themes.php' && isset( $_GET['page'] ) && $_GET['page'] == 'rc_wrlv_preview_page') {
		wp_enqueue_style( 'rc_wrlv_frontend', RC_WRLV_PLUGIN_URL . 'assets/css/style.css', array(), RC_WRLV_PLUGIN_VERSION );
	}
}
add_action( 'admin_init', 'rc_wrlv_register_styles' );